/*
Copyright  2012 DMD, LLC.  Government Purpose Rights, ALL OTHER RIGHTS RESERVED
This computer software was developed pursuant to Contract Number W9113M-08-D-0003-0007 with the US
Government. Unauthorized Use, Reproduction, Modification, or Disclosure is strictly prohibited.
*/

$(document).ready( function () {
var total = 0;
	$("li.questionWrap input[type=radio]").change(function() {
		
		total = 0;

		$("li.questionWrap input[type=radio]:checked").each(function(){
			total += parseInt($(this).val());
		});

	});
	
	$("#calculate").click( function (){
		
		if($("li.questionWrap").length == $("li.questionWrap input[type=radio]:checked").length){
			if(total >= 33){
				message = "This project is in urgent need of review for continuation (High Risk)";
				color = "red";
			} else if(total < 33 && total >= 21){
				message = "This project needs managment oversight (Moderate Risk)";
				color = "orange";
			} else if(total < 21 && total >= 11){
				message = "This project is considered to be under the Project Manager's control (Low Risk)";
				color = "blue";
			} else if(total < 10){
				message = "This project needs periodic management review (Project 'On Rails')";
				color = "green";
			}
	
			$("#totalWrap").html("<span style='font-size:18px; font-weight:bold; color:"+color+"'>Total: " + total + "</span> - " + message);
		} else {
			alert("Please complete the metrics evaluation before calculating your score");
		}	
				
	});
});